<!DOCTYPE HTML>
<html lang="en" height="100vh">
  <head>
    <meta charset="UTF-8">

    <title>🐍❌(🍓🍞)=👕👖</title>
    <!-- GEDDIT? -->

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/nuclear.min.css') }}">
    <script type="text/javascript" src="https://latest.cactus.chat/cactus.js"></script>


    <!-- have you ever heard of svg filters?? -->
    <svg height="0">
      <filter id="f1">
        <!-- squiggle -->
        <feTurbulence type="fractalNoise" baseFrequency="0 0.15" numOctaves="1" result="warp" />
        <feDisplacementMap xChannelSelector="R" yChannelSelector="G" scale="30" in="SourceGraphic" in2="warp" />

        <!-- chromatic abberation -->
        <feColorMatrix type="matrix"
          result="red_"
          values="4 0 0 0 0
                  0 0 0 0 0
                  0 0 0 0 0
                  0 0 0 1 0"/>
        <feOffset in="red_" dx="2" dy="0" result="red"/>
        <feColorMatrix type="matrix"
          in="SourceGraphic"
          result="blue_"
          values="0 0 0 0 0
                  0 3 0 0 0
                  0 0 10 0 0
                  0 0 0 1 0"/>
        <feOffset in="blue_" dx="-3" dy="0" result="blue"/>
        <feBlend mode="screen" in="red" in2="blue"/>

      </filter>
    </svg>
    <link rel="stylesheet" href="https://latest.cactus.chat/style.css" type="text/css">

    <style>
      body {
        padding: 0;
        min-height: 100vh;
        max-width: 100vw;
      }
      #comment-section { width: 80%; }

      #glitchbox {
        animation: glitch 3s linear infinite;
      }

      @keyframes glitch {
        0% {
          filter: none;
        }
        1% {
          filter: url(#f1);
        }
        5% {
          filter: none;
        }
        7% {
          filter: url(#f1);
        }
        8% {
          filter: none;
        }
        10% {
          filter: url(#f1);
        }
        13% {
          filter: none;
        }
        100% {
          filter: none;
        }
      }

      @keyframes blur {
        0%, 40% {
          filter: none;
        }
        70% {
          filter: blur(1px);
        }
        88% {
          filter: blur(2px);
        }
        89% {
          filter: blur(20px);
        }
        90% {
          filter: none;
        }
      }

      #blurbox {
        animation: blur 34s ease-in-out infinite;
      }

      #maincontent, .cactus-container, #basalpic {
        animation: rotatePage 41s ease-in-out infinite;
      }

      #huebox {
        animation: hueshift 10s ease-in-out infinite;
      }

      @keyframes hueshift {
          0%, 50%{
              filter: hue-rotate(0deg);
          }
          60% {
              filter: hue-rotate(360deg)
          }
          70% {
              filter: hue-rotate(0deg)
          }
          80% {
              filter: hue-rotate(360deg)
          }
          90% {
              filter: hue-rotate(0deg)
          }
          100% {
              filter: hue-rotate(360deg);
          }
      }

      @keyframes rotatePage {
        0%, 90% { transform: rotate(1deg); }  /* Stays the same for the first 90% of the time */
        100% { transform: rotate(360deg); }   /* Rotates at the end */
      }
    </style>

    <!-- snek go brr -->
    <link rel="stylesheet" href="https://pyscript.net/releases/2024.7.1/core.css">
    <!-- This script tag bootstraps PyScript -->
    <script type="module" src="https://pyscript.net/releases/2024.7.1/core.js"></script>

    <!-- yes of course we need this -->
    <script type="text/javascript" src="https://rawgit.com/patriciogonzalezvivo/glslCanvas/0.1.8/dist/GlslCanvas.js"></script>
  </head>
  <body>

    <nav class="navbar is-primary">
      <marquee width="100%" direction="right">
        <div class="navbar-brand">
          <a class="navbar-item" href="https://pyjam.as/"><b>pyjam.as</b>/🐍</a>
        </div>
      </marquee>
    </nav>
    <div id="maincontent">
      <div id="huebox">
        <div id="glitchbox">
          <div id="blurbox">
          {% block content %}
          {% endblock %}
          </div>
        </div>
      </div>
    </div>
    <div id="comment-section"></div>
  </body>
  <script>
  initComments({
    node: document.getElementById("comment-section"),
    defaultHomeserverUrl: "https://matrix.cactus.chat:8448",
    serverName: "cactus.chat",
    siteName: "pyjam.as",
    commentSectionId: document.location.pathname == "/" ? "main" : document.location.pathname,
  })
  </script>
  <div id="basalpic" style="position: absolute; right: 0; top: 10vh; width: 20vw;">
    <a href="https://gitlab.com/pyjam.as/basal/-/blob/main/LÆSMIG.md">
      <img src="/static/basal.jpg" width="300px"/>
    </a>
  </div>
  <div id="cookie-box" style="bottom: 0px; position: fixed; width: 100%; text-align: center; display: none">
    <div style="position: relative; margin: 2vw; border: solid; border-color: rgb(217, 255, 0); border-width: 20px; border-radius: 10px">
      <canvas class="glslCanvas" data-fragment-url="/static/cookieshader.frag" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"></canvas>
      <div style="position: relative; padding: 30px;">
        <h1 style="font-size: 25px; color: black;">🍪 DENNE SIDE BRUGER IKKE COOKIES  🍪</h1>
        <br>
        <button class="cookie-button" onclick="nej()">Nej, tillad kun unødvendige cookies 🍪</button>
        <button class="cookie-button primary" onclick="fedt()" style="">Fedt 👍</button>
      </div>
    </div>
  </div>
  <style>
    .cookie-button {
      border: none;
      border-radius: 5px;
      font-size: 25px;
      padding: 15px;
      margin-top: 5px;
    }
    :hover.cookie-button {
      filter: brightness(85%);
    }
    .cookie-button.primary {
      background-color: rgb(217, 255, 0);
      margin-left: 10px;
    }
  </style>
  <script>
    setTimeout(() => {
        document.getElementById('cookie-box').style.display = "block"
    }, Math.random() * 3000)
    function nej() {
      document.getElementById('cookie-box').style.display = "none"
      flag = ""
      // is this loop really necessary?
      for (let i = 0; i < 10; i++) {
        if (i % 7) {
          flag += "🍪"
        }
        if (i % 0) {
          flag += "😭"
        }
        if (i % 2) {
          flag += "🐍"
        }
      }
      document.cookie = `trackingId=🗒️🍪🔎,foundSecretSite=false,flag=pyjam.as{${flag}}`
    }

    function fedt() {
      document.getElementById('cookie-box').style.display = "none"
    }

    // Async-ish loading of images:
    document.addEventListener("DOMContentLoaded", (event) => {
      Array.from(document.getElementsByTagName("img")).forEach(x => { var ægtesovs = x.src; x.src = "https://pyjam.as/static/spinner.gif"; setTimeout(() => { x.src = ægtesovs; }, Math.max(500, (Math.random() * 10000) - 8000)) })
    });
  </script>
</html>
